return {
	-- create pretty unobtrusive notifications
	{
		"j-hui/fidget.nvim",
		opts = {
			progress = {
				suppress_on_insert = true,
				ignore_done_already = true,
			},
			notification = {
				override_vim_notify = true,
			},
		},
		event = { "VeryLazy" },
		cmd = { "Fidget" },
		keys = {
			{ "<leader>sh", "<cmd>Fidget history<cr>", { silent = true, desc = "show notification history" } },
		},
	},
	-- make all vim.ui interfaces prettyy
	{ "stevearc/dressing.nvim", config = true, event = "VeryLazy" },

	-- numbers to absolute for all buffers but the current which is relative
	{ "jeffkreeftmeijer/vim-numbertoggle", event = "InsertEnter" },
	-- auto-hiding colorcolumn
	{
		"m4xshen/smartcolumn.nvim",
		event = "BufEnter",
		opts = {
			colorcolumn = { "100" },
			scope = "window",
			disabled_filetypes = {
				"help",
				"text",
				"markdown",
				"NvimTree",
				"lazy",
				"mason",
				"help",
				"quarto",
			},
		},
	},
	-- display pretty colors when they are mentioned in buffer
	{
		"NvChad/nvim-colorizer.lua", -- color hex, named colors in the correct preview scheme
		config = function()
			require("colorizer").setup({
				user_default_options = { mode = "virtualtext" },
			})
		end,
		cmd = {
			"ColorizerToggle",
			"ColorizerAttachToBuffer",
			"ColorizerDetachFromBuffer",
			"ColorizerReloadAllBuffers",
		},
		keys = {
			{
				"[oc",
				function()
					require("colorizer").detach_from_buffer(0)
				end,
				{ silent = true, desc = "colorize disable" },
			},
			{
				"]oc",
				function()
					require("colorizer").attach_to_buffer(0)
				end,
				{ silent = true, desc = "colorize enable" },
			},
			{
				"]oC",
				function()
					require("colorizer").attach_to_buffer(0, { mode = "background" })
				end,
				{ silent = true, desc = "colorize bg" },
			},
			{
				"[oC",
				function()
					require("colorizer").attach_to_buffer(0, { mode = "virtualtext" })
				end,
				{ silent = true, desc = "colorize eol" },
			},
		},
	},
	{
		"folke/todo-comments.nvim",
		dependencies = { "nvim-lua/plenary.nvim" },
		opts = {},
		event = "VeryLazy",
	},
	{
		"OXY2DEV/helpview.nvim",
		-- lazy = false, -- Recommended by dev?
		ft = "help",
		dependencies = {
			"nvim-treesitter/nvim-treesitter",
		},
	},
}
